Skip to main content
POST
/
v1
/
agents
/
{agent_id}
/
calls
/
{call_id}
/
tool-executions
Submit tool execution
curl --request POST \
  --url https://api.agents.slng.ai/v1/agents/{agent_id}/calls/{call_id}/tool-executions \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "tool_name": "<string>",
  "tool_kind": "webhook",
  "invocation_source": "system",
  "started_at": "2026-01-15T10:30:00Z",
  "finished_at": "2026-01-15T10:30:00Z",
  "duration_ms": 1,
  "outcome": "succeeded",
  "tool_id": "<string>",
  "trigger_event": "<string>",
  "source_tool_id": "<string>",
  "http_status": 549,
  "error_code": "<string>",
  "error_type": "<string>",
  "wait_for_response": true,
  "show_results_to_llm": true,
  "target_url": "<string>",
  "arguments_preview": null,
  "result_preview": null,
  "error_message": "<string>",
  "stack_trace": "<string>"
}
'
{
  "detail": "Authentication is required for this endpoint."
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

agent_id
string<uuid>
required

Voice agent ID.

Example:

"550e8400-e29b-41d4-a716-446655440000"

call_id
string<uuid>
required

Call ID.

Example:

"550e8400-e29b-41d4-a716-446655440000"

Body

application/json
tool_name
string
required
Required string length: 1 - 255
tool_kind
enum<string>
required
Available options:
webhook,
template,
human_transfer,
built_in
invocation_source
enum<string>
required
Available options:
system,
contextual
started_at
string<date-time>
required
Example:

"2026-01-15T10:30:00Z"

finished_at
string<date-time>
required
Example:

"2026-01-15T10:30:00Z"

duration_ms
integer
required
Required range: x >= 0
outcome
enum<string>
required
Available options:
succeeded,
failed,
timed_out,
skipped,
cancelled
tool_id
string | null
Maximum string length: 255
trigger_event
string | null
Required string length: 1 - 64
source_tool_id
string | null
Maximum string length: 255
http_status
integer | null
Required range: 100 <= x <= 999
error_code
string | null
Maximum string length: 128
error_type
string | null
Maximum string length: 200
wait_for_response
boolean | null
show_results_to_llm
boolean | null
target_url
string | null

Sanitized target URL without query string or fragment details.

Maximum string length: 1024
arguments_preview
unknown
result_preview
unknown
error_message
string | null
Maximum string length: 5000
stack_trace
string | null
Maximum string length: 20000

Response

Tool execution recorded.